@import url("monmatosv3-layout-O4jcf2s.css");
@import url("monmatosv3-tables-k-PdXrn.css");
@import url("monmatosv3-buttons-nikWqTw.css");
@import url("monmatosv3-cards-Q7pNfxo.css");
@import url("monmatosv3-trackers-KhT1VB9.css");
@import url("monmatosv3-tomselect-xQApcDB.css");


/* https://bootswatch.com/flatly/ */
/* https://htmlcolorcodes.com/fr/selecteur-de-couleur/ Primary 002349*/
:root,
[data-bs-theme=light] {
    color-scheme: light;
    --bs-primary: #1e2761;
    --bs-primary-rgb: 30, 39, 97;
    --bs-primary-text-color: var(--bs-primary);
    --bs-primary-text-color-rgb: var(--bs-primary-rgb);
    --bs-secondary: #408ec6;
    --bs-secondary-rgb: 64, 142, 198;
    --bs-secondary-text-color: var(--bs-secondary);
    --bs-secondary-text-color-rgb: var(--bs-secondary-rgb);
    --bs-success: #27611E;
    --bs-success-rgb: 39, 97, 30;
    --bs-success-text-color: var(--bs-success);
    --bs-success-text-color-rgb: var(--bs-success-rgb);
    --bs-danger: #7a2048;
    --bs-danger-rgb: 122, 22, 72;
    --bs-danger-text-color: var(--bs-danger);
    --bs-danger-text-color-rgb: var(--bs-danger-rgb);
    --bs-blue: #1e2761;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #e83e8c;
    --bs-red: #d9534f;
    --bs-orange: #f47c3c;
    --bs-yellow: #ffc107;
    --bs-yellow-rgb: 255, 193, 7;
    --bs-green: #328832;
    --bs-teal: #20c997;
    --bs-cyan: #29abe0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #8e8c84;
    --bs-gray-dark: #3e3f3a;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #f8f5f0;
    --bs-gray-300: #dfd7ca;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #98978b;
    --bs-gray-600: #8e8c84;
    --bs-gray-700: #495057;
    --bs-gray-800: #3e3f3a;
    --bs-gray-900: #212529;

    --bs-info: #C7C9D7;
    --bs-info-rgb: 199, 201, 215;
    --bs-warning: #f47c3c;
    --bs-warning-rgb: 244, 124, 60;

    --bs-light: #f8f5f0;
    --bs-dark: #3e3f3a;
    --bs-light-rgb: 248, 245, 240;
    --bs-dark-rgb: 62, 63, 58;
    --bs-link-color: var(--bs-secondary);
    --bs-link-color-rgb: var(--bs-secondary-rgb);
    --bs-link-decoration: none !important;
    --bs-link-hover-color: var(--bs-primary);
    --bs-link-hover-color-rgb: var(--bs-primary-rgb);
    --bs-primary-text-emphasis: #142536;
    --bs-secondary-text-emphasis: #393835;
    --bs-success-text-emphasis: #3b4f1e;
    --bs-info-text-emphasis: #10445a;
    --bs-warning-text-emphasis: #623218;
    --bs-danger-text-emphasis: #572120;
    --bs-light-text-emphasis: #495057;
    --bs-dark-text-emphasis: #495057;
    --bs-primary-bg-subtle: #d6dfe7;
    --bs-secondary-bg-subtle: #e8e8e6;
    --bs-success-bg-subtle: #e9f3db;
    --bs-info-bg-subtle: #d4eef9;
    --bs-warning-bg-subtle: #fde5d8;
    --bs-danger-bg-subtle: #f7dddc;
    --bs-light-bg-subtle: #fcfcfd;
    --bs-dark-bg-subtle: #ced4da;
    --bs-primary-border-subtle: #adbecf;
    --bs-secondary-border-subtle: #d2d1ce;
    --bs-success-border-subtle: #d4e8b7;
    --bs-info-border-subtle: #a9ddf3;
    --bs-warning-border-subtle: #fbcbb1;
    --bs-danger-border-subtle: #f0bab9;
    --bs-light-border-subtle: #f8f5f0;
    --bs-dark-border-subtle: #98978b;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-font-sans-serif: Roboto, -apple-system, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #3e3f3a;
    --bs-body-color-rgb: 62, 63, 58;
    --bs-body-bg: #fff;
    --bs-body-bg-rgb: 255, 255, 255;
    --bs-emphasis-color: #000;
    --bs-emphasis-color-rgb: 0, 0, 0;
    --bs-secondary-color: rgba(62, 63, 58, 0.75);
    --bs-secondary-color-rgb: 62, 63, 58;
    --bs-secondary-bg: #f8f5f0;
    --bs-secondary-bg-rgb: 248, 245, 240;
    --bs-tertiary-color: rgba(62, 63, 58, 0.5);
    --bs-tertiary-color-rgb: 97, 55, 30;
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248, 249, 250;
    --bs-heading-color: inherit;

    --bs-code-color: #e83e8c;
    --bs-highlight-color: #3e3f3a;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #dfd7ca;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.21rem;
    --bs-border-radius-sm: var(--bs-border-radius);
    --bs-border-radius-lg: var(--bs-border-radius);
    --bs-border-radius-xl: var(--bs-border-radius);
    --bs-border-radius-xxl: var(--bs-border-radius);
    --bs-border-radius-2xl: var(--bs-border-radius);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(50, 93, 136, 0.25);
    --bs-form-valid-color: #328832;
    --bs-form-valid-border-color: #328832;
    --bs-form-invalid-color: #d9534f;
    --bs-form-invalid-border-color: #d9534f;
    --bs-form-focus-border-color: var(--bs-secondary);

    --bs-btn-outline-light-color: var(--bs-gray-700);
    --bs-btn-outline-light-border-color: var(--bs-gray-400);
    --bs-btn-outline-light-hover-bg: var(--bs-gray-200);
    --bs-btn-outline-light-hover-border-color: var(--bs-gray-400);

    --bs-app-content-header-border-color: var(--bs-gray-300);

    --bs-nav-tabs-link-active-bg: var(--bs-secondary);
    --lte-card-variant-bg: transparent;
    --mm-table-primary: var(--bs-primary);
    --mm-table-primary-color: var(--bs-white);
    --mm-table-primary-link-color: #73c4fd;
    --mm-table-secondary: var(--bs-secondary);
    --mm-table-secondary-color: var(--bs-white);
    --mm-table-secondary-link-color: #dfeffd;
    --mm-table-success: var(--bs-success);
    --mm-table-success-color: var(--bs-white);
    --mm-table-success-link-color: #73c4fd;
    --mm-table-danger: var(--bs-danger);
    --mm-table-danger-color: var(--bs-white);
    --mm-table-danger-link-color: #73c4fd;
    --mm-table-warning: var(--bs-warning);
    --mm-table-warning-color: var(--bs-black);
    --mm-table-warning-link-color: var(--bs-primary);
    --mm-table-info: var(--bs-info);
    --mm-table-info-color: var(--bs-body-color);
    --mm-table-info-link-color: var(--bs-primary);
    --mm-table-light: var(--bs-light);
    --mm-table-dark: var(--bs-dark);
    --mm-table-dark-link-color: #dfeffd;
    --mm-table-active: var(--bs-primary);
    --mm-table-hover: var(--bs-secondary);
}

[data-bs-theme=dark] {
    color-scheme: dark;
    --bs-primary-text-color: #E3E4EB;
    --bs-primary-text-color-rgb: 227, 228, 235;
    --bs-secondary-text-color: #70AAD4;
    --bs-secondary-text-color-rgb: 112, 170, 212;
    --bs-primary: #4283cd;
    --bs-success: #15682C;
    --bs-success-text-color: #3cbc59;
    --bs-success-text-color-rgb: 60,188,89;
    --bs-danger: #ec54a4;
    --bs-danger-rgb: 236, 84, 164;
    --bs-danger-text-color: var(--bs-danger);
    --bs-danger-text-color-rgb: var(--bs-danger-rgb);
    --bs-body-color: #dfd7ca;
    --bs-body-color-rgb: 223, 215, 202;
    --bs-body-bg: #212529;
    --bs-body-bg-rgb: 33, 37, 41;
    --bs-emphasis-color: #fff;
    --bs-emphasis-color-rgb: 255, 255, 255;
    --bs-secondary-color: rgba(223, 215, 202, 0.75);
    --bs-secondary-color-rgb: 223, 215, 202;
    --bs-secondary-bg: #3e3f3a;
    --bs-secondary-bg-rgb: 62, 63, 58;
    --bs-tertiary-color: rgba(223, 215, 202, 0.5);
    --bs-tertiary-color-rgb: 223, 215, 202;
    --bs-tertiary-bg: #303232;
    --bs-tertiary-bg-rgb: 48, 50, 50;
    --bs-primary-text-emphasis: #849eb8;
    --bs-secondary-text-emphasis: #bbbab5;
    --bs-success-text-emphasis: #bedc93;
    --bs-info-text-emphasis: #7fcdec;
    --bs-warning-text-emphasis: #f8b08a;
    --bs-danger-text-emphasis: #e89895;
    --bs-light-text-emphasis: #f8f9fa;
    --bs-dark-text-emphasis: #dfd7ca;
    --bs-primary-bg-subtle: #0a131b;
    --bs-secondary-bg-subtle: #1c1c1a;
    --bs-success-bg-subtle: #1d270f;
    --bs-info-bg-subtle: #08222d;
    --bs-warning-bg-subtle: #31190c;
    --bs-danger-bg-subtle: #2b1110;
    --bs-light-bg-subtle: #3e3f3a;
    --bs-dark-bg-subtle: #1f201d;
    --bs-primary-border-subtle: #1e3852;
    --bs-secondary-border-subtle: #55544f;
    --bs-success-border-subtle: #58762d;
    --bs-info-border-subtle: #196786;
    --bs-warning-border-subtle: #924a24;
    --bs-danger-border-subtle: #82322f;
    --bs-light-border-subtle: #495057;
    --bs-dark-border-subtle: #3e3f3a;
    --bs-heading-color: inherit;
    --bs-link-color: #a9d8fa;
    --bs-link-hover-color: #9db1c6;
    --bs-link-color-rgb: 169, 216, 250;
    --bs-link-hover-color-rgb: 157, 177, 198;
    --bs-code-color: #f18bba;
    --bs-highlight-color: #dfd7ca;
    --bs-highlight-bg: #664d03;
    --bs-border-color: #495057;
    --bs-border-color-translucent: rgba(255, 255, 255, 0.15);
    --bs-form-valid-color: #bedc93;
    --bs-form-valid-border-color: #bedc93;
    --bs-form-invalid-color: #e89895;
    --bs-form-invalid-border-color: #e89895;
    --bs-form-focus-border-color: #ffffff;

    --bs-btn-outline-light-color: var(--bs-gray-400);
    --bs-btn-outline-light-border-color: var(--bs-gray-800);
    --bs-btn-outline-light-hover-bg: var(--bs-gray-400);
    --bs-btn-outline-light-hover-border-color: var(--bs-gray-500);

    --bs-app-content-header-border-color: var(--bs-gray-300);
    --lte-card-variant-bg: transparent;

    --mm-table-primary: var(--bs-primary);
    --mm-table-primary-color: var(--bs-white);
    --mm-table-primary-link-color: #cae7fb;
    --mm-table-secondary: var(--bs-secondary);
    --mm-table-secondary-color: var(--bs-white);
    --mm-table-secondary-link-color: #dfeffd;
    --mm-table-success: var(--bs-success);
    --mm-table-danger: var(--bs-danger);
    --mm-table-danger-color: var(--bs-white);
    --mm-table-danger-link-color: #73c4fd;
    --mm-table-warning: var(--bs-warning);
    --mm-table-warning-color: var(--bs-black);
    --mm-table-warning-link-color: var(--bs-white);
    --mm-table-info: var(--bs-info);
    --mm-table-info-color: var(--bs-body-bg);
    --mm-table-info-link-color: var(--bs-primary);
    --mm-table-light: var(--bs-light);
    --mm-table-dark: var(--bs-dark);
    --mm-table-dark-color: var(--bs-white);
    --mm-table-dark-link-color: #b4d9fa;
    --mm-table-active: var(--bs-primary);
    --mm-table-hover: var(--bs-secondary);
}


.text-primary {
    color: rgba(var(--bs-primary-text-color-rgb), var(--bs-text-opacity)) !important;
}
.text-secondary {
    color: rgba(var(--bs-secondary-text-color-rgb), var(--bs-text-opacity)) !important;
}
.text-success {
    color: rgba(var(--bs-success-text-color-rgb), var(--bs-text-opacity)) !important;
}

.text-danger {
    color: rgba(var(--bs-danger-text-color-rgb), var(--bs-text-opacity)) !important;
}

a {
    text-decoration: none;
}

/********************************/
/*                              */
/*          List & List-group   */
/*                              */
/********************************/

.list-group {
    --bs-list-group-item-padding-x: .3rem;
    --bs-list-group-item-padding-y: .3rem;
}
table tr > td > ul {
    margin-bottom: 0;
    padding-left: 10px;
}


/********************************/
/*                              */
/*          Badges              */
/*                              */
/********************************/
.badge {
    --bs-badge-padding-x: 0.25rem;
    --bs-badge-padding-y: 0.25rem;
    --bs-badge-font-size: 0.75rem;
    padding:var(--bs-badge-padding-y) var(--bs-badge-padding-x);
    font-size:var(--bs-badge-font-size);
}

/********************************/
/*                              */
/*          Forms               */
/*                              */
/********************************/

.form-control:focus,
.focus .ts-control {
    box-shadow:var(--bs-box-shadow-inset),0 0 0 .25rem rgba(68, 123, 143, 0.2);
    border-color: var(--bs-form-focus-border-color);
}

/********************************/
/*                              */
/*          Utilities           */
/*                              */
/********************************/

.blink {
    animation: blink 4s steps(5, start) infinite;
    -webkit-animation: blink 4s steps(5, start) infinite;
}
@keyframes blink {
    to {
        visibility: hidden;
    }
}
@-webkit-keyframes blink {
    to {
        visibility: hidden;
    }
}




